OnlyFans API
FanslyVault

Remove Media from Album

Remove one or more media from an album. The media itself is not deleted — it stays in the vault and in any other album it belongs to.

DELETE
/api/fansly/{fanslyAccount}/vault/albums/{album_id}/media
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

album_id*string

The Fansly vault album ID.

Request Body

application/json

media_ids*array<string>

Fansly media IDs to remove (the mediaId values from the List Vault Media endpoint).

Response Body

application/json

curl -X DELETE "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/vault/albums/943707572253241344/media" \  -H "Content-Type: application/json" \  -d '{    "media_ids": [      "935379094802030592",      "935381267455700992"    ]  }'
{
  "data": [
    {
      "mediaId": "500000000000000001",
      "albumId": "300000000000000004",
      "accountId": "800000000000000001"
    },
    {
      "mediaId": "500000000000000020",
      "albumId": "300000000000000004",
      "accountId": "800000000000000001"
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055790,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}